on: 
  push:
    branches:
    - main
name: 🚀 Deploy PRODUCTION website on push
jobs:
  web-deploy:
    name: 🎉 Deploy
    runs-on: ubuntu-latest
    steps:
    - name: 🚚 Get latest code
      uses: actions/checkout@v2
    
    - name: 📂 Sync files
      uses: SamKirkland/FTP-Deploy-Action@4.0.0
      with:
        server: ${{ secrets.production_ftp_host }}
        username: ${{ secrets.production_ftp_user }}
        password: ${{ secrets.production_ftp_password }}
        server-dir: public_html/
        exclude: .github/
          - .gitignore
          - docker-compose.yml
          - README.md